#
# spec file for package perl-Rinci
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Rinci
Version:        1.1.84
Release:        1.1
%define cpan_name Rinci
Summary:        Language-neutral metadata for your code entities
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Rinci/
Source0:        http://www.cpan.org/authors/id/P/PE/PERLANCAR/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Language-neutral metadata for your code entities

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Thu Dec 29 2016 coolo@suse.com
- updated to 1.1.84
  see /usr/share/doc/packages/perl-Rinci/Changes
  1.1.84  2016-12-28 (PERLANCAR)
  - No spec changes.
  - [dist] Remove spec prereq to Sah::Schemas since Sah::Schema::rinci::*
    have been split to Sah-Schemas-Rinci.
  - [dist] Fix expressing spec prereq relationship with x_spec.
* Fri Dec 16 2016 coolo@suse.com
- updated to 1.1.83
  see /usr/share/doc/packages/perl-Rinci/Changes
  1.1.83  2016-12-15 (PERLANCAR)
  - Specify that dry_run feature can also be a hash, to be able to
  set default dry_run mode.
* Sun Dec 11 2016 coolo@suse.com
- updated to 1.1.82
  see /usr/share/doc/packages/perl-Rinci/Changes
  1.1.82  2016-12-10 (PERLANCAR)
  - Introduce argument spec property 'index_completion'.
  - Typo [RT#118381].
* Fri Jul 29 2016 coolo@suse.com
- updated to 1.1.81
  see /usr/share/doc/packages/perl-Rinci/Changes
  1.1.81  2016-07-28 (PERLANCAR)
  - No spec changes.
  - Split Sah schemas to Sah-Schemas-Rinci so that schema tweaks
  don't require releasing a new spec release.
* Mon May 23 2016 coolo@suse.com
- updated to 1.1.80
  see /usr/share/doc/packages/perl-Rinci/Changes
  1.1.80  2016-05-10 (PERLANCAR)
  - No spec changes.
  - [Incompatible change] Follow Sah::Schemas spec (each individual schema
    is put in a separate Sah::Schema::* package). Sah::Schema::Rinci is
    now replaced with Sah::Schema::rinci::* packages.
* Tue Mar  8 2016 coolo@suse.com
- updated to 1.1.79
  see /usr/share/doc/packages/perl-Rinci/Changes
  1.1.79  2016-02-25 (PERLANCAR)
  - Define new command-line source for function argument
  (cmdline_src): stdin_or_args.
* Thu Sep  3 2015 coolo@suse.com
- updated to 1.1.78
  see /usr/share/doc/packages/perl-Rinci/Changes
  1.1.78  2015-09-03 (PERLANCAR)
  - No spec changes.
  - [dist] Move spec prereqs from RuntimeRequires to
  DevelopRecommends to reduce deps but still allow indicating spec
  requirement.
  1.1.77  2015-05-01 (PERLANCAR)
  - No spec changes.
  - Typos (args_rels, not args_schema) & wording.
  1.1.76  2015-04-30 (PERLANCAR)
  - Replace function property 'args_groups' with 'args_rels'. This
    allows us to reuse the Sah 0.9.34+ specification, since the hash type
    now also contains clauses that specifies relationships between keys
    (arguments), e.g. choose_one, choose_all, req_one, req_all, dep_one,
    dep_all, req_dep_one, req_dep_all.
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.1.75
  see /usr/share/doc/packages/perl-Rinci/Changes
* Thu Mar  1 2012 coolo@suse.com
- initial package 1.1.10
  * created by cpanspec 1.78.06
